package day_12_test

import (
	"advent_of_code_2024/day_12"
	_ "embed"
	"testing"
)

//go:embed example_data.txt
var ExampleData string

func TestBasicSolutionExample(t *testing.T) {
	result := day_12.SolveBasic(ExampleData)
	if result != 1930 {
		t.Fatalf("Expected 1930 received %d", result)
	}
}

func TestComplexSolutionExample(t *testing.T) {
	result := day_12.SolveComplex(ExampleData)
	if result != 2858 {
		t.Fatalf("Expected 2858 received %d", result)
	}
}
